#include <iostream>
#include <string>

class Person {
   private:
    std::string name;

   public:
    Person(const std::string& name) {
        this->name = name;
    }

    void printName() {
        std::cout << this->name << '\n';
    }
};